summaryrefslogtreecommitdiffstats
path: root/openwrt/package/siproxd/files
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-14 20:32:03 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-14 20:32:03 +0000
commit29c4a016b09756eac842b7be318b3db2c82a85ad (patch)
tree586fcdc3b5931179810a976e29bbeaafbe1cfa78 /openwrt/package/siproxd/files
parentbaa1468836257c3732877fb9baa451b980d15969 (diff)
Add siproxd package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@894 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/siproxd/files')
-rw-r--r--openwrt/package/siproxd/files/siproxd.init21
1 files changed, 21 insertions, 0 deletions
diff --git a/openwrt/package/siproxd/files/siproxd.init b/openwrt/package/siproxd/files/siproxd.init
new file mode 100644
index 000000000..f8739d43f
--- /dev/null
+++ b/openwrt/package/siproxd/files/siproxd.init
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+BIN=siproxd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+exit $?